List available tools on the runtime
Retrieve a list of tools registered on the Agent Spec runtime. These tools can be referenced by `tool_node` components.
JWT token for authentication
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/agentspec/tools"[ { "name": "string", "description": "string", "component_type": "server_tool", "inputs": [ { "title": "user_query", "type": "string", "description": "string", "default": null, "enum": [ null ], "items": {}, "properties": { "property1": {}, "property2": {} }, "required": [ "string" ] } ], "outputs": [ { "title": "user_query", "type": "string", "description": "string", "default": null, "enum": [ null ], "items": {}, "properties": { "property1": {}, "property2": {} }, "required": [ "string" ] } ] }]List available agents on the runtime GET
Retrieve a list of agents registered on the Agent Spec runtime. These agents can be referenced by `agent_node` components.
Stream Agent Spec execution updates (WebSocket) GET
WebSocket endpoint for real-time execution updates. Streams per-node status changes and execution events as they occur. **Protocol**: WebSocket (upgrade from HTTP) **Messages sent by server**: - `{"type": "node_status", "node": "<name>", "status": {...}}` - `{"type": "execution_complete", "results": {...}}` - `{"type": "execution_error", "error": "<message>"}`